Bug 121418 - symbols redefined in Gnome.so
Summary: symbols redefined in Gnome.so
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: Gtk-Perl   
(Show other bugs)
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Warren Togami
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-21 12:29 UTC by Joe Orton
Modified: 2007-04-18 17:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-08 01:11:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joe Orton 2004-04-21 12:29:39 UTC
I've got a script which checks for symbols which are defined more than
once in shared objects, which is usually a bug:

$ nm -D
/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/Gnome/Gnome.so
| grep ' B '
00094aa8 B GTK_TYPE_CLOCK_TYPE
00094ab0 B GTK_TYPE_GNOME_MDI_MODE
00094aa4 B GTK_TYPE_GNOME_UI_INFO_TYPE
00094aac B GTK_TYPE_GNOME_UI_PIXMAP_TYPE

are also defined in libgnomeui.so.32.

$ nm -D /usr/lib/libgnomeui.so.32 | grep GTK_TYPE_GNOME_MDI_MODE
0087eba4 B GTK_TYPE_GNOME_MDI_MODE

etc.

$ rpm -qf /usr/lib/libgnomeui.so.32
/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/Gnome/Gnome.so
gnome-libs-1.4.1.2.90-37
Gtk-Perl-0.7008-36.1

Comment 1 Warren Togami 2005-08-14 02:13:38 UTC
Hi Joe, is this still an issue in rawhide?


Comment 2 Bill Nottingham 2006-08-08 01:11:57 UTC
Gtk-Perl is no longer shipped in any supported Fedora release, so I don't think
we're going to fix this...


Note You need to log in before you can comment on or make changes to this bug.